package com.xmomen.module.base.model;

import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.NotNull;

import java.io.Serializable;
import java.util.List;


public class UpdateCouponCategory implements Serializable {

    // 优惠券分类名称
    @NotNull
    @NotBlank
    private String categoryName;
    // 优惠券分类类型
    @NotNull
    private Integer categoryType;
   
    // 优惠券分类关联模型列表
    private List<CouponCategoryRefModel> categoryRefs;

	public String getCategoryName() {
		return categoryName;
	}

	public void setCategoryName(String categoryName) {
		this.categoryName = categoryName;
	}

	public Integer getCategoryType() {
		return categoryType;
	}

	public void setCategoryType(Integer categoryType) {
		this.categoryType = categoryType;
	}

	public List<CouponCategoryRefModel> getCategoryRefs() {
		return categoryRefs;
	}

	public void setCategoryRefs(List<CouponCategoryRefModel> categoryRefs) {
		this.categoryRefs = categoryRefs;
	}
    

}
